Get project dataset metadata
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/project-metadata \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/project-metadata"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/raw-data/project-metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"metadata": {
"ratio": {
"type": "no-ratio",
"hasValidationCategory": true,
"count": {
"training": 123,
"testing": 123,
"validation": 123
}
},
"labelQueueCount": 123,
"totalItemCount": 123,
"type": "classes",
"training": {
"type": "classes",
"totalLength": "<string>",
"totalLengthNumber": 123,
"maxLengthMs": 123,
"minLengthMs": 123,
"minFrequency": 123,
"maxFrequency": 123,
"itemCount": 123,
"isTimeseries": true,
"isFeatures": true,
"metadataFilterOptions": {
"totalCount": 123,
"count": 123,
"optionsList": [
{
"key": "locationId",
"options": [
"buildingA",
"buildingB"
]
}
]
},
"metadataKeys": [
"<string>"
],
"fullLabelCount": 123,
"labels": [
{
"label": "<string>",
"totalLength": 189152,
"totalLengthStr": "3m 9s",
"dataCount": 19
}
],
"changeActionCounts": {
"insert": 123,
"update": 123,
"delete": 123
}
},
"testing": {
"type": "classes",
"totalLength": "<string>",
"totalLengthNumber": 123,
"maxLengthMs": 123,
"minLengthMs": 123,
"minFrequency": 123,
"maxFrequency": 123,
"itemCount": 123,
"isTimeseries": true,
"isFeatures": true,
"metadataFilterOptions": {
"totalCount": 123,
"count": 123,
"optionsList": [
{
"key": "locationId",
"options": [
"buildingA",
"buildingB"
]
}
]
},
"metadataKeys": [
"<string>"
],
"fullLabelCount": 123,
"labels": [
{
"label": "<string>",
"totalLength": 189152,
"totalLengthStr": "3m 9s",
"dataCount": 19
}
],
"changeActionCounts": {
"insert": 123,
"update": 123,
"delete": 123
}
},
"validation": {
"type": "classes",
"totalLength": "<string>",
"totalLengthNumber": 123,
"maxLengthMs": 123,
"minLengthMs": 123,
"minFrequency": 123,
"maxFrequency": 123,
"itemCount": 123,
"isTimeseries": true,
"isFeatures": true,
"metadataFilterOptions": {
"totalCount": 123,
"count": 123,
"optionsList": [
{
"key": "locationId",
"options": [
"buildingA",
"buildingB"
]
}
]
},
"metadataKeys": [
"<string>"
],
"fullLabelCount": 123,
"labels": [
{
"label": "<string>",
"totalLength": 189152,
"totalLengthStr": "3m 9s",
"dataCount": 19
}
],
"changeActionCounts": {
"insert": 123,
"update": 123,
"delete": 123
}
},
"postProcessing": {
"type": "classes",
"totalLength": "<string>",
"totalLengthNumber": 123,
"maxLengthMs": 123,
"minLengthMs": 123,
"minFrequency": 123,
"maxFrequency": 123,
"itemCount": 123,
"isTimeseries": true,
"isFeatures": true,
"metadataFilterOptions": {
"totalCount": 123,
"count": 123,
"optionsList": [
{
"key": "locationId",
"options": [
"buildingA",
"buildingB"
]
}
]
},
"metadataKeys": [
"<string>"
],
"fullLabelCount": 123,
"labels": [
{
"label": "<string>",
"totalLength": 189152,
"totalLengthStr": "3m 9s",
"dataCount": 19
}
],
"changeActionCounts": {
"insert": 123,
"update": 123,
"delete": 123
}
},
"all": {
"type": "classes",
"totalLength": "<string>",
"totalLengthNumber": 123,
"maxLengthMs": 123,
"minLengthMs": 123,
"minFrequency": 123,
"maxFrequency": 123,
"itemCount": 123,
"isTimeseries": true,
"isFeatures": true,
"metadataFilterOptions": {
"totalCount": 123,
"count": 123,
"optionsList": [
{
"key": "locationId",
"options": [
"buildingA",
"buildingB"
]
}
]
},
"metadataKeys": [
"<string>"
],
"fullLabelCount": 123,
"labels": [
{
"label": "<string>",
"totalLength": 189152,
"totalLengthStr": "3m 9s",
"dataCount": 19
}
],
"changeActionCounts": {
"insert": 123,
"update": 123,
"delete": 123
}
}
},
"error": "<string>"
}Get project dataset metadata
Get the raw data metadata for this project
GET
/
api
/
{projectId}
/
raw-data
/
project-metadata
Get project dataset metadata
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Query Parameters
Dataset version ID. If not set, the current dataset version is used
Whether to include enabled-only samples, or both enabled and disabled samples (defaults to both).
Available options:
both, enabled Was this page helpful?
⌘I